Package com.microblink.blinkid.util

# Enum Class RecognizerCompatibilityStatus

java.lang.Object
java.lang.Enum<RecognizerCompatibilityStatus>
com.microblink.blinkid.util.RecognizerCompatibilityStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<RecognizerCompatibilityStatus>`, `Constable`

public enum RecognizerCompatibilityStatus extends Enum<RecognizerCompatibilityStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEVICE_BLACKLISTED`
  Device is on blacklist and PhotoPay is not supported on that device.
  `NO_CAMERA`
  Device does not have camera.
  `PROCESSOR_ARCHITECTURE_NOT_SUPPORTED`
  Recognizer is not supported on device's processor architecture.
  `RECOGNIZER_NOT_SUPPORTED`
  Recognizer is not supported (unknown reason).
  `RECOGNIZER_SUPPORTED`
  Recognizer is fully supported on this device.
  `UNSUPPORTED_ANDROID_VERSION`
  Device's Android version is not supported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecognizerCompatibilityStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecognizerCompatibilityStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECOGNIZER_SUPPORTED

    public static final RecognizerCompatibilityStatus RECOGNIZER_SUPPORTED
    Recognizer is fully supported on this device.

  - ### PROCESSOR_ARCHITECTURE_NOT_SUPPORTED

    public static final RecognizerCompatibilityStatus PROCESSOR_ARCHITECTURE_NOT_SUPPORTED
    Recognizer is not supported on device's processor architecture.

  - ### NO_CAMERA

    public static final RecognizerCompatibilityStatus NO_CAMERA
    Device does not have camera.

  - ### DEVICE_BLACKLISTED

    public static final RecognizerCompatibilityStatus DEVICE_BLACKLISTED
    Device is on blacklist and PhotoPay is not supported on that device.

  - ### UNSUPPORTED_ANDROID_VERSION

    public static final RecognizerCompatibilityStatus UNSUPPORTED_ANDROID_VERSION
    Device's Android version is not supported.

  - ### RECOGNIZER_NOT_SUPPORTED

    public static final RecognizerCompatibilityStatus RECOGNIZER_NOT_SUPPORTED
    Recognizer is not supported (unknown reason).

- ## Method Details

  - ### values

    public static RecognizerCompatibilityStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecognizerCompatibilityStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null